%define name lua
%define version 4.0
%define release 3mdk

%define major 4
%define libname %{name}%{major}


Summary : Lua is a powerful, light-weight programming language
Name: %name
Version: %version
Release: %release
License: Distributable
URL: http://www.tecgraf.puc-rio.br/lua/
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Patch: %name-config.patch.bz2
BuildRoot: %_tmppath/%{name}-buildroot

%description
Lua is a programming language originally designed for extending applications, 
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data 
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in 
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

%package -n %{libname}
Summary : Lua is a powerful, light-weight programming language
Group: System/Libraries

%description -n %{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package includes the libraries.

%package -n %{libname}-devel
Summary : Lua is a powerful, light-weight programming language
Group: Development/Other

%description -n %{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name

%patch -p1

%build

%make
make so

%install

export DESTDIR=$RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr (-,root,root)
%doc COPYRIGHT HISTORY INSTALL MANIFEST README
%doc doc/*.html doc/*.gif
%_bindir/*
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/*.a


%changelog
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- apply library policy

* Wed Jan 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- new in contribs
